%global momorel 8
%define version_suffix b

Summary: Reconstructs and dumps a TCP stream.
Name: sdump
Version: 0.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Internet
Source0: http://tf.happyhacking.net/archive/%{name}/%{name}-%{version}%{version_suffix}.tgz
Patch0: sdump-0.2b-glibconfig.patch
URL: http://tf.happyhacking.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib >= 1.2
BuildRequires: libnet
BuildRequires: libnids-devel
BuildRequires: libpcap-devel >= 0.9.5

%description
sdump is the small tool which reconstructs and dumps a TCP stream.

%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}%{version_suffix}
%patch0 -p1 -b .glibconfig~

%build
%make

%{__chmod} 644 README
%{__chmod} 644 CHANGES

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -c -m 755 src/%{name} %{buildroot}%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README CHANGES
%{_bindir}/%{name}

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-8m)
- rebuild against rpm-4.6

* Sun Sep 21 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.2-7m)
- modifiy BuildRequires

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2-6m)
- rebuild against gcc43

* Thu Jun 07 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2-5m)
- rebuild against libpcap-0.9.5 (restrict by version)

* Wed Jun  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2-4m)
- rebuild against libpcap-0.9.5

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.2-3m)
- enable x86_64.

* Tue Jan 06 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2-2m)
- update to 0.2b
- change Source0 URI
- No NoSource0
- fix documents permission

* Fri Oct 31 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.2-1m)
- Initial import.
